Ticket API
Sync Ticket to Channel
Sync an existing Serval ticket to a channel by creating an external ticket in that channel and establishing ongoing bidirectional sync. Supports ticket sources (Jira, Linear, ServiceNow, etc.) and direct messaging channels (Slack DM, Email).
POST
/
v2
/
tickets
/
{ticket_id}
/
sync
Sync Ticket to Channel
curl --request POST \
--url https://public.api.serval.com/v2/tickets/{ticket_id}/sync \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channelTarget": {
"email": {}
}
}
'import requests
url = "https://public.api.serval.com/v2/tickets/{ticket_id}/sync"
payload = { "channelTarget": { "email": {} } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({channelTarget: {email: {}}})
};
fetch('https://public.api.serval.com/v2/tickets/{ticket_id}/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"message": "<string>",
"detail": {
"type": "<string>",
"value": "<string>",
"debug": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The Serval ticket ID to sync
Body
application/json
The channel to sync to (creates external ticket and establishes ongoing sync)
- Email
- Slack Channel
- Slack Dm
- Ticket Source
Show child attributes
Show child attributes
Response
Success
The response is of type SyncTicketToChannelResponse · object.
Was this page helpful?
⌘I
Sync Ticket to Channel

